# BEGIN SourceDeps(oneline):
BuildRequires: perl(Attribute/Handlers.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(Variable/Magic.pm) perl(overload.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_version 1.0.8
%define module_name Attribute-Boolean
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.0.8
Release: alt1
Summary: Mark scalars as pure booleans
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/C/CM/CMS/%{module_name}-v%{module_version}.tar.gz
BuildArch: noarch

%description
NAME
    Attribute::Boolean - Mark scalars as pure booleans

VERSION
    Version v1.0.6

SYNOPSYS
    This allows you to flag a variable as a boolean. In numeric context, it
    will have the value 0 or 1. In string context is will have the value
    "false" or "true". In JSON, it will correctly return false or true
    values.

        my $bool : Boolean;

%prep
%setup -q -n %{module_name}-v%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README README.md Changes
%perl_vendor_privlib/A*

%changelog
* Wed Oct 12 2016 Igor Vlasenko <viy@altlinux.ru> 1.0.8-alt1
- initial import by package builder

